package com.srs.common.enums;

/**
 * 操作结果
 */
public enum OperationResult {

    //操作结果（请假申请：0-成功、1失败；辅导员审批假：0-同意、1-不同意、2-驳回;学生销假申请：0-成功;1-失败；辅导员核实销假：0-同意；1-不同意）',
    /**
     * 操作成功
     */
    SUCCESS(0, "成功/同意"),
    /**
     * 操作失败
     */
    FAILURE(1, "失败/不同意"),

    /**
     * 驳回
     */
    REJECT(2, "驳回");


    private int code;

    private String description;

    OperationResult(int code, String description) {
        this.code = code;
        this.description = description;
    }

    public int getCode() {
        return code;
    }

    public String getDescription() {
        return description;
    }

    /**
     * 根据code获取枚举值
     * @param code 操作结果码
     * @return 枚举实例
     */
    public static OperationResult fromCode(int code) {
        for (OperationResult result : values()) {
            if (result.getCode() == code) {
                return result;
            }
        }
        throw new IllegalArgumentException("Invalid code for OperationResult: " + code);
    }
}

